package com.lovecoding.day04;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo05
 * @description 输出斐波那契数列前10项
 * 斐波那契数列：第1项为0，第2项为1，从第3项开始每项等于前两项之和。 使用循环输出斐波那契数列的前10项，每个数占一行。
 * @create 2026/7/10
 */
public class Demo05 {
    public static void main(String[] args) {
        int a=0,b=1;    //前两项
        System.out.println(a);  //输出第1项
        System.out.println(b);  //输出第2项
        for (int i = 3; i <=10 ; i++) {
            //第3项开始每项等于前两项之和
            int c=a+b;  //当前项 = 前两项之和
            System.out.println(c);  //输出当前项
            a=b;    //把b的值前移给a
            b=c;    //把c的值前移被b
        }
    }
}
